<div>
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">กระบวนการทำงาน</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับกระบวนการทำงานตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight d-flex">
      <button *ngIf="(stepFour['validate'] === true || stepFour['validate'] === null )" type="button"
        class="btn btn-primary saveDraft" (click)="saveDraftData()">
        บันทึกร่างใบคำขอ
      </button>

      <!-- <button
      *ngIf="userRole === 'PO'"
        type="button"
        class="btn btn-primary sandwork"
        (click)="sandwork()"
      >
        ส่งงาน
      </button> -->
    </div>
  </div>
  <div class="alert alert-success" role="alert"
    [ngStyle]="{ display: RequestStepFour.saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>

<!-- =============================================Part Read Only=================================================== -->
<div id="accordion">
  <div class="card">
    <div class="card-header" id="headingOne">
      <div class="d-flex" style="width: 100%; height: 30%;">
        <div class="btn text-header-panel">
          รายละเอียดที่ต้องการนำเสนอในครั้งนี้
        </div>
        <a *ngIf="showData === true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลเพิ่มเติม
        </a>

        <a *ngIf="showData !== true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลน้อยลง

        </a>

      </div>
    </div>

    <div id="collapseOne" class="collapse show" aria-labelledby="headingOne">
      <div class="card-body">
        <app-step-four [template_manage]="{ role: null, validate: null, caaStatus: 'show' }"></app-step-four>
        <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
        <div *ngIf="stepFour['validate'] == true">
          <div class="typeofcollateral">
            <p class="head-detal">อัปโหลดเอกสาร</p>
            <div class="dropzone">
              <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                (change)="onSelectFile(2,$event)" />
              <!--  accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
        application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
        application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
        .jpg,.png" -->
              <!-- accept="application/pdf" -->
              <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
              <a style="font-size: 18px; color: #00a6e6;"
                for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
            </div>
          </div>
          <br />
          <div class="row">
            <div class="col-12 table_files">
              <table mat-table [dataSource]="dataSource_file">
                <!-- Position Column -->
                <ng-container matColumnDef="name">
                  <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                  <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="size">
                  <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                  <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="delete">
                  <th mat-header-cell *matHeaderCellDef></th>
                  <td mat-cell *matCellDef="let element; let index = index">
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                      (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                      (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                    <a class="pipe">|</a>
                    <a class="delete_file" (click)="delete_mutifile(2,element, index)">ลบไฟล์</a>
                  </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
              </table>
            </div>
            <br>
          </div>
        </div>


        <!-- --------------------------------------------------------------------------------------------------------- -->
      </div>
    </div>
  </div>
  <div *ngFor="let present of listSummaryStep5 ; let in = index">
    <div class="card">
      <div class="card-header" id="headingTwo_{{in}}">
        <div class="d-flex" style="width: 100%; height: 30%;">
          <div class="btn text-header-panel">
            รายละเอียดที่นำเสนอในครั้งก่อน ({{present.lastReviewDate}})
          </div>
          <a *ngIf="showsearch[in].value  === true" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลเพิ่มเติม
          </a>
          <a *ngIf="showsearch[in].value === false" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลน้อยลง
          </a>
        </div>
      </div>

      <div id="collapseTwo_{{in}}" class="collapse" attr.aria-labelledby="headingTwo_{{in}}" data-parent="#accordion">
        <div class="card-body">

          <div style="padding-left: 15px;">
            <!------------------------------------------------- กรุณาระบุข้อมูลเบื้องต้นเกี่ยวกับกระบวนการ ------------------------------------------------>
            <div class="row">
              <div class="col-12">
                <p class="head-detal">กรุณาระบุข้อมูลเบื้องต้นเกี่ยวกับกระบวนการ</p>
              </div>
              <div class="col-12">
                <mat-radio-group disabled class="presentationType" aria-label="Select an option" [(ngModel)]="SOP"
                  (ngModelChange)="clearWorkFlow()">
                  <div class="d-flex align-items-stretch radio-layout">
                    <div class="bd-highlight checkbox-box">
                      <mat-radio-button value="1">
                        <div class="bd-highlight radio-detail"
                          [ngClass]="{'checkbox-detail-true': SOP === '1','checkbox-detail-false': SOP !== '1'}">
                          เป็นกระบวนการเดิมที่มี SOP รองรับอยู่แล้ว</div>
                      </mat-radio-button>
                    </div>
                  </div>
                  <div class="d-flex align-items-stretch radio-layout">
                    <div class="bd-highlight checkbox-box">
                      <mat-radio-button value="2">
                        <div class="bd-highlight radio-detail"
                          [ngClass]="{'checkbox-detail-true': SOP === '2','checkbox-detail-false': SOP !== '2'}">
                          เป็นกระบวนการเดิมแต่ยังไม่มี SOP รองรับ</div>
                      </mat-radio-button>
                    </div>
                  </div>
                  <div class="d-flex align-items-stretch radio-layout" style=" margin-bottom: 10px;"
                    [ngClass]="{'disabled': SOP !== '2'}">
                    <div class="row  body-detal-checkbox" style="width: 100%; background-color: #FAFAFA;">
                      <div class="col-md-12">
                        <p [ngClass]="{'input_select': SOP === '2', 'input_select_disabled': SOP !== '2'}">ตามหนังสือที่
                        </p>
                        <input type="text" class="form-control input-detail" placeholder=""
                          [(ngModel)]="stepFour.responseProcessSop.refNo" (ngModelChange)="changeSaveDraft()" disabled>
                      </div>
                      <div class="col-md-12">
                        <p [ngClass]="{'input_select': SOP === '2', 'input_select_disabled': SOP !== '2'}">
                          วันที่มีผลบังคับใช้</p>
                        <div class="icon-warpper1">
                          <img src="../../../../../assets/img/calendar.svg" class="btn-date" disabled>
                        </div>
                        <!-- <input angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="stepFour.responseProcessSop.effectiveDate" class="form-control"
                        placeholder="" [options]="myDpOptions" #dp="angular-mydatepicker" (click)="dp.toggleCalendar()"
                       (ngModelChange)="changeSaveDraft()"
                        (dateChanged)="changeDatepicker($event)" disabled /> -->
                        <input [(ngModel)]="date_summary" class="form-control" disabled>
                        <!-- {{model.singleDate.formatted}} -->
                      </div>
                      <!-- +++++++++++++++++++++++++++++++++= กรุณาระบุข้อมูลเบื้องต้นเกี่ยวกับกระบวนการ อัปโหลดเอกสาร ++++++++++++++++++++++++++++++++++++ -->
                      <div class="col-md-12 pt-3 pb-3">
                        <div class="typeofcollateral">
                          <p [ngClass]="{'input_select': SOP === '2', 'input_select_disabled': SOP !== '2'}">
                            อัปโหลดเอกสาร</p>
                          <!-- <div  [ngClass]="{'dropzone': stepFour.SOP === '2', 'dropzone-disabled': stepFour.SOP !== '2'}"> -->

                        </div>
                        <br />
                        <div class="row">
                          <div class="col-12 table_files">
                            <table mat-table [dataSource]="dataSource_file_sub">
                              <!-- Position Column -->
                              <ng-container matColumnDef="name">
                                <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                                <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
                              </ng-container>

                              <!-- Name Column -->
                              <ng-container matColumnDef="size">
                                <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                                <td mat-cell *matCellDef="let element">
                                  {{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
                              </ng-container>

                              <!-- Name Column
                            <ng-container matColumnDef="delete">
                              <th mat-header-cell *matHeaderCellDef></th>
                              <td mat-cell *matCellDef="let element; let index = index">
                                <a class="delete_file" (click)="delete_mutifile(1,element, index)">ลบไฟล์</a>
                              </td>
                            </ng-container>
         -->
                              <tr mat-header-row *matHeaderRowDef=" displayedColumns_file_sub"></tr>
                              <tr mat-row *matRowDef="let row; columns:  displayedColumns_file_sub"></tr>
                            </table>
                          </div>
                        </div>
                      </div>
                      <!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
                    </div>
                  </div>
                  <div class="d-flex align-items-stretch radio-layout">
                    <div class="bd-highlight checkbox-box">
                      <mat-radio-button value="3">
                        <div class="bd-highlight radio-detail"
                          [ngClass]="{'checkbox-detail-true': SOP === '3','checkbox-detail-false': SOP !== '3'}">
                          เป็นกระบวนการใหม่ ต้องจัดทำกระบวนการทำงานและรายละเอียดกระบวนการทำงาน
                        </div>
                      </mat-radio-button>
                    </div>
                  </div>
                </mat-radio-group>
              </div>
            </div>

            <!-- ----------------------------------------- กระบวนการทำงาน (Work Flow) -------------------------------------------------- -->
            <div class="row">
              <div class="col-12">
                <p class="head-detal">กระบวนการทำงาน (Work Flow)</p>
              </div>
              <div
                style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                <textarea class="form-control" id="exampleFormControlTextarea1" rows="3"
                  placeholder="ระบุรายละเอียด Business Model ของผลิตภัณฑ์"
                  style="min-height:130px;background-color:#e9ecef;border:0;" [(ngModel)]="stepFour.workFlowText"
                  disabled></textarea>
                <div style="height: auto;position:relative;background-color:#e9ecef;">
                  <div class="col-12">
                    <div>
                      <div class="input_upload" style="color: #999999;min-height:130px">
                        <hr style="margin: 0px;" />
                        {{ image1.length }} ไฟล์ภาพที่แนบมา

                        <div class="image_row">
                          <div class="row image_col" style="  padding-left: 15px;
                      padding-bottom: 15px;">
                            <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                              <div class="unnon_image">
                                <img [src]="image1[i]" class="photo" (click)="image_click(1, i)" />
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>


                    </div>
                  </div>
                </div>
              </div>

            </div>

            <!-- ----------------------------------------- เกณฑ์การพิจารณาสินเชื่อ -------------------------------------------------- -->
            <div class="row">
              <div class="col-12">
                <div class="d-flex bd-highlight">
                  <div class="w-100 bd-highlight">
                    <p class="head-detal">เกณฑ์การพิจารณาสินเชื่อ</p>
                  </div>
                  <div class="flex-shrink-1 bd-highlight">
                    <!-- <button type="button" class="btn add_table head-detal" (click)="addRow()"><img
                      src="../../../../../assets/img/add_white.svg">
                    <a>เพิ่มข้อมูล</a>
                  </button> -->
                  </div>
                </div>
              </div>
              <div class="col-12">
                <hr style="margin-top: 0px;margin-bottom: 10px;">
              </div>

              <div class="col-12">
                <div class="overflow-auto">
                  <table class="table-proccess table table-striped">
                    <thead>
                      <tr>
                        <th class="text-nowrap" style="width: 16%;text-align: center;">กระบวนการหลัก</th>
                        <th class="text-nowrap" style="width: 16%;text-align: center;">กระบวนการย่อย</th>
                        <th class="text-nowrap" style="width: 10%;text-align: center;">In/Out</th>
                        <th class="text-nowrap" style="width: 10%;text-align: center;">IT Related</th>
                        <th class="text-nowrap" style="width: 16%;text-align: center;">ระบุความเสี่ยง</th>
                        <th class="text-nowrap" style="width: 16%;text-align: center;">การควบคุมความเสี่ยง (เดิม)</th>
                        <th class="text-nowrap" style="width: 16%;text-align: center;">การควบคุมความเสี่ยง (เพิ่มเติม)
                        </th>
                        <!-- <th class="text-nowrap" style="width: 8%;"></th> -->
                      </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let item of stepFour.requestProcessConsiders; index as istep">
                        <td style="width: 16%; padding-top: 1.6%; word-break: break-all;">
                          <div *ngIf="checkStaticTitle(istep); else notStaticType">
                            {{ item.mainProcess }}
                          </div>
                          <ng-template #notStaticType>
                            <!-- <input type="text" class="form-control" placeholder="ระบุกระบวนการหลัก"
                            [(ngModel)]="item.mainProcess"> -->
                            {{item.mainProcess}}
                          </ng-template>
                        </td>
                        <td colspan="7" class="pd-0">
                          <table class="table-proccess-data wi">
                            <tr *ngFor="let processItem of item.subProcess; index as isub">
                              <td style="width: 19%; padding-top: 1.6%; word-break: break-all;"
                                [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                                <!-- <input type="text" class="form-control" placeholder="ระบุกระบวนการย่อย"
                                [(ngModel)]="processItem.subTitle" (ngModelChange)="changeSaveDraft()"> -->
                                {{processItem.subTitle}}
                              </td>
                              <td style="width: 12%; padding-top: 1.6%; word-break: break-all;"
                                [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                                <!-- <select class="form-control" [(ngModel)]="processItem.inOut" (ngModelChange)="changeSaveDraft()">
                                <option value=null disabled>select In/Out</option>
                                <option value="No">No</option>
                                <option value="Outsourcing_full">Outsourcing-full</option>
                                <option value="Outsourcing_partial">Outsourcing-partial</option>
                                <option value="Insourcing">Insourcing</option>
                                <option value="Insourcing_Out_full">Insourcing->Out-full</option>
                                <option value="Insourcing_Out_partial">Insourcing->Out-partial</option>
                              </select> -->
                                {{processItem.inOut}}
                              </td>
                              <td style="width: 12%; padding-top: 1.6%; word-break: break-all;"
                                [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                                <!-- <select class="form-control" [(ngModel)]="processItem.itRelate"
                                (ngModelChange)="changeSaveDraft()">
                                <option value=null disabled>select IT Relate</option>
                                <option value="Yes">Yes</option>
                                <option value="No">NO</option>
                                <option value="TBD">TBD</option>
                              </select> -->
                                {{processItem.itRelate}}
                              </td>

                              <td style="width: 100%;padding-left: 0px; padding-right: 0px;">
                                <table style="width: 100%;" class="pd-0">
                                  <tr *ngFor="let subProcessRisk of processItem.subProcessRisk; index as isubRisk">
                                    <td style="min-width: 16.5%; width: 16.5%; max-width: 16.5%; word-break: break-all;"
                                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">

                                      <!-- <input type="text" class="form-control" placeholder="ระบุความเสี่ยง"
                                      [(ngModel)]="subProcessRisk.risk" (ngModelChange)="changeSaveDraft()"> -->
                                      {{subProcessRisk.risk}}
                                    </td>
                                    <td style="width: 16%; word-break: break-all;"
                                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                                      <!-- <input type="text" class="form-control" placeholder="ระบุความเสี่ยง"
                                      [(ngModel)]="subProcessRisk.riskControl"> -->
                                      {{subProcessRisk.riskControl}}
                                    </td>
                                    <td style="width: 16%; word-break: break-all;"
                                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                                      <!-- <input type="text" class="form-control" placeholder="ระบุความเสี่ยง"
                                      [(ngModel)]="subProcessRisk.riskControlOther" (ngModelChange)="changeSaveDraft()"> -->
                                      {{subProcessRisk.riskControlOther}}
                                    </td>
                                    <!-- <td style="width: 10%;"
                                    [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                                    <span class="delete-data" (click)="removeDataItem(istep , isub, isubRisk)">ลบข้อมูล</span>
                                  </td> -->

                                  </tr>
                                </table>
                              </td>

                            </tr>
                          </table>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>

              <!-- <div class="col-12 d-flex justify-content-end">
              <button type="button" class="btn add_table head-detal" (click)="addRow()"><img
                  src="../../../../../assets/img/add_white.svg">
                <a>เพิ่มข้อมูล</a>
              </button>
            </div> -->
            </div>

            <br>
            <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
            <div>
              <label style="
              color: #999999;
              font-family: Prompt;
              font-size: 18px;
              font-weight: 500;
              letter-spacing: 0;
              line-height: 28px;
            ">ไฟล์เอกสารเพิ่มเติม</label>
              <br />
              <div class="row">
                <div class="col-12 table_files">
                  <table mat-table [dataSource]="dataSource_file_summary">
                    <!-- Position Column -->
                    <ng-container matColumnDef="name">
                      <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                      <td mat-cell *matCellDef="let element">
                        {{ element.fileName }}
                      </td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="size">
                      <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                      <td mat-cell *matCellDef="let element">
                        {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                      </td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="download">
                      <th mat-header-cell *matHeaderCellDef></th>
                      <td mat-cell *matCellDef="let element; let index = index">
                        <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                      </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns_file_summary"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns_file_summary"></tr>
                  </table>
                </div>
              </div>
            </div>


          </div>


        </div>
      </div>
    </div>

  </div>
</div>
<!-- ------------------------------------------------------------------------------------------------------------------ -->
<div>
  <br>
  <div class="row">
    <div class="col-12" *ngIf="(stepFour['validate'] === true || stepFour['validate'] === null )">
      <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">ถัดไป</button>
    </div>
  </div>
  <br>
</div>
<div class="row" *ngIf="stepFour['validate'] === false">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>
<!--------------------------------------------------- The Modal -------------------------------------------------------- -->

<div id="myModalStepFour" class="modal">
  <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png"></span>
  <div style="justify-content: center;">
    <div class="modal-content" *ngIf="showModel">
      <img src="{{modalImage[modalmainImageIndex]}}" alt="{{modalImagedetail[modalmainImageIndex].name}}"
        title="{{modalImagedetail[modalmainImageIndex].name}}" class="modal-image">
    </div>
    <br>
    <div>
      <div class="d-flex modal-image-detail" *ngIf="showModel">
        <div *ngFor="let item of modalImage; index as i">
          <img src="{{modalImage[i]}}" alt="{{modalImagedetail[i].name}}" title="{{modalImagedetail[i].name}}"
            [ngClass]="{'modal-image-gallery': i !== modalmainImageIndex, 'modal-image-gallery-select':  i === modalmainImageIndex}"
            (click)="modalmainImageIndex = i">
        </div>
      </div>
    </div>
  </div>

</div>